@import "../../../../styles/variables";

.NodeType {
  &-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.5rem 1rem;
    //border: 1px solid orange;
    margin: 0 0 1rem 0;
    border-radius: 2px;

    .InputText {
      flex: 6;
      margin: 2rem 0.5rem 1rem;
    }
  }
  &-icon {
    margin-right: 1rem;
  }

  &-nav {
    .IconButton {
      //height: 2rem;
      //width: 2rem;
      margin: 0.25rem;
    }
    .IconButton:focus {
      background-color: $primary-color;
    }
  }
  &-color {
    position: relative;
    display: flex;
    align-items: center;
    margin-right: 1rem;
    .InputText {
      flex: 3;
    }
  }
  &-color-sample {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    overflow: hidden;
    margin-right: 1rem;
  }
  &-color-hex {
    position: absolute;
    left: 2.2rem;
    font-size: 1.7rem;
    margin-bottom: 1rem;
    top: 1.9rem;
    color: $grey-color;
  }

  &-view-value {
    label {
      color: $grey-color;
    }
  }
}
